Skip to main content
GET
/
v2
/
session
/
apps
/
{appID}
/
config
/
login
/
oauth
List OAuth login configs
curl --request GET \
  --url https://api.prelude.dev/v2/session/apps/{appID}/config/login/oauth \
  --header 'Authorization: Bearer <token>'
{
  "configs": [
    {
      "provider_id": "<string>",
      "client_id": "<string>",
      "enabled": true,
      "scopes": [
        "<string>"
      ],
      "options": {
        "use_email_as_identifier": true,
        "allow_email_account_merge": true
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "apple": {
        "team_id": "<string>",
        "key_id": "<string>",
        "private_key": "<string>"
      },
      "okta": {
        "domain": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

appID
string
required

The id of the app the request refers to. An application's unique identifier.

Examples:

"54e9ujn"

"fvua38g"

Response

OK

configs
object[]
required